Package Details: scrutiny-collector 0.3.13-1

Git Clone URL: https://aur.archlinux.org/scrutiny.git (read-only, click to copy)
Package Base: scrutiny
Description: Hard Drive S.M.A.R.T Monitoring, Historical Trends & Real World Failure Thresholds
Upstream URL: https://github.com/AnalogJ/scrutiny
Licenses: MIT
Submitter: djmattyg007
Maintainer: djmattyg007
Last Packager: djmattyg007
Votes: 2
Popularity: 0.000503
First Submitted: 2020-12-06 04:15 (UTC)
Last Updated: 2022-01-23 12:00 (UTC)

Latest Comments

simona commented on 2022-04-24 09:24 (UTC)

==> Compilazione terminata: scrutiny-web-frontend 0.3.13-1 (dom 24 apr 2022, 11:20:14)
==> Creazione del pacchetto: scrutiny 0.3.13-1 (dom 24 apr 2022, 11:20:17)
==> Compilazione terminata: scrutiny 0.3.13-1 (dom 24 apr 2022, 11:21:15)
attenzione: impossibile risolvere "scrutiny-web-frontend==0.3.13", una dipendenza di "scrutiny"

simona commented on 2022-03-25 23:21 (UTC)

impossibile soddisfare la dipendenza 'scrutiny-web-frontend==0.3.13' richiesta da scrutiny

compgamer89 commented on 2022-03-20 11:25 (UTC)

@simona There's an extra equals sign in the dependency declaration, making it not work as intended:

diff --git a/PKGBUILD b/PKGBUILD
index 7e8e863..79700df 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
 pkgbase="scrutiny"
 pkgname=("scrutiny" "scrutiny-collector")
 pkgver=0.3.13
-pkgrel=1
+pkgrel=2
 pkgdesc="Hard Drive S.M.A.R.T Monitoring, Historical Trends & Real World Failure Thresholds"
 url="https://github.com/AnalogJ/scrutiny"
 license=("MIT")
@@ -69,7 +69,7 @@ package_scrutiny-collector() {
 }

 package_scrutiny() {
-    depends+=("scrutiny-web-frontend==${pkgver}")
+    depends+=("scrutiny-web-frontend=${pkgver}")
     backup=("etc/scrutiny/scrutiny.yaml")

     cd "scrutiny-${pkgver}"

simona commented on 2022-03-09 01:32 (UTC)

:: impossibile soddisfare la dipendenza 'scrutiny-web-frontend==0.3.13' richiesta da scrutiny

djmattyg007 commented on 2022-01-23 12:00 (UTC)

I put scrutiny-web-frontend into its own PKGBUILD because the files are architecture-independent.

Static_Rocket commented on 2021-11-20 03:46 (UTC) (edited on 2021-11-20 03:46 (UTC) by Static_Rocket)

Also, correct me if I'm wrong, but the use of environment files in addition the the config YAML files seem redundant. I don't believe there are any options that can't be set through the YAML.

Static_Rocket commented on 2021-11-19 15:14 (UTC) (edited on 2021-11-19 15:14 (UTC) by Static_Rocket)

Out of curiosity, if scrutiny-web-frontend is a required dependency of scrutiny, why is it not included in this PKGBUILD like the collector?